~ 28.06.2009 ~

[Tunes 4.0]
+ мультиудаление плейлистов (отмечать кнопкой 0)
+ мелкие багфиксы

~ 10.06.2009 ~

[Tunes 3.9]
+ багфикс: утечка памяти
+ багфикс: первый пункт меню Варианты в плейлистах для L7e-подобных
+ багфикс: пропадание голоса собеседника при звонке
+ багфикс: обработка регистра расширений

~ 29.05.2009 ~ C Днём Рожденья, Motofan! :)

[Tunes 3.8] - снова бесплатно
+ багфикс: корректировка стилей для векторных шрифтов
+ багфикс: джой влево - назад (для L7e подобных)
+ багфикс: чистый лист после удаления всех плейлистов
+ оптимизация создания ресурсов
+ оптимизация чтения больших плейлистов
+ смарт-клавиша в листах - пауза/плей
+ в канвас обработка потери и восстановления фокуса

~ 9.05.2009 ~

[Tunes 3.7] - платная версия
+ багфикс: утечка памяти
+ багфикс: в яве не перерисовываются данные при изменении громкости (всё равно не видно)
+ багфикс: дозапись плейлистов на диске /c/
+ общий плейлист (All.tpl) всегда вначале списка плейлистов
+ подмена джой влево = левая софт-клавиша, джой вправо = джой центр (как в iTunes)
+ отображение имени проигрываемого трека в яве, под статус-строкой при переключении на следующий трек
+ пауза при отключении гарнитуры

~ 17.04.2009 ~

[Tunes 3.6] - платная версия
+ багфикс: вызов метки при запущенном эльфе
+ багфикс: работа с диском /c/
+ сохранение очереди воспроизведения после перезагрузки тела (опционально)
+ иконки из файлов(из папки папка_скина\icons\ , если нет, то из папка_эльфа\icons\)
+ переназначены клавиши 4,5,6
+ анимация только при проигрывании
+ сигнал об отсутствии трека

~ 16.01.2009 ~

[Tunes 3.5.1]
+ Версия для L9 и K1

~ 26.10.2008 ~

[Tunes 3.5]
+ при просмотре плейлиста и очереди в заголовке кол-во треков
+ выключать активность дисплея (опция)
+ сохранять очередь (опция)

~ 30.09.2008 ~ Посвещаю дню рождения любимой девушки :)

[Tunes 3.4]
+ багфикс: (отображение картинок при запущеном приложении)
+ проверка на наличие флешки в файлбраузере
+ 'Удалить' в списке очереди
+ 'Создать плейлист' в списке очереди (список очереди в плейлист)
+ переключение трека качелькой громкости на рабочем столе
+ Активность дисплея выключается в плеере 
+ оптимизация работы с языковым ресурсом
+ уменьшение размера эльфа

~ 15.09.2008 ~

[Tunes 3.3]
+ багфикс: (зависание при втором запуске)
+ 8 - информация о файле
+ джой в центр - список очереди

~ 8.09.2008 ~

[Tunes 3.2]
+ багфикс: (повторный вызов по пункту меню разворачивает Tunes, а не запускает новый)
+ багфикс: (обработка блокировки клавиатуры) 
+ багфикс: (после воспроизведения песен переключался на 2ю, а не на 1ю)
+ возможность удаления треков из плейлиста
+ "Добавить в очередь" в плейлисте
 
~ 1.09.2008 ~ с Днём знаний !

[Tunes 3.1]
+ воспроизведение плейлистов eTunes в файлбраузере (*.tpl)
+ воспроизведение плейлистов MediaViewer'a в файлбраузере (*.mvpl)
+ багфикс ( ребут при воспроизведении с диска /c/ )
+ багфикс (корректно отображаются пункты меню после Автосоздания плейлистов)
+ "Удалить всё" в плейлистах 
+ иконка выключенной громкости (mute) в скине
+ анимация в скине
+ мигание фонариком и клавиатурой-дисплеем (управление: 2-5,3-6)
+ регулировка звука в Java (непроверенно)
+ передача файлов по Bluetooth  в файлбраузере


~ 30.08.2008 ~

[Tunes 3.0]
+ ID файла вместо пути к файлу. Вытекающие из этого плюсы и минусы:
   + экономия памяти
   + плейлисты весят меньше
   + можно ставить треки в очередь, не создавая временного плейлиста
   - при замене файла новым с таким же именем придётся пересоздать плейлист
+ Добавление в очередь воспроизведения
- нет горячего переключения между режимами Случайно/не случайно (думаю, временно)

~ 23.08.2008 ~

[Tunes 2.9.5] 
+ нормальный фон
- кнопка гарнитуры и качелька громкости будут работать только с патчем (Canvas доступны все кнопки)
+ в shell: *,# - регулировка громкости, 0 - вкл/выкл звук, смарт - пауза/воспроизведение
+ громкость отображается в процентах
+ нарастание/затухание громкости (опционально)

~ 14.08.2008 ~

[Tunes 2.9.1] 
+ багфикс (в настройках при кол-ве строк в скине меньше 8)
+ багфикс (вывод информации в поля оператора и даты для L7e и подобных)
+ багфикс (повтороное нажатие на 1 заклинивало таймер)

~ 8.08.2008 ~

[Tunes 2.9] 
+ новая опция "Читать теги"
+ мигание боковыми светодиодами (только для E398). управление - кнопки 1 и 4
+ поддержка менеджера расширений (открытие плейлистов *.tpl) // непроверено


~ 6.07.2008 ~

[Tunes 2.8]
+ при вкл опции "Обраб. заблок. клавиат." кнопка гарнитуры работает
+ в файлбраузере сначала папки, потом файлы
+ расширение плейлистов не отображается
+ ивент запуска берётся из конфига. Если равен нулю, то запускается как обычный эльф
+ переделал воспроизведение из файлбраузера
+ мелкие исправления

~ 15.06.2008 ~ 

[Tunes 2.7]
+ трек проигрывается до конца (для VBR)
+ обработка заблокированной клавиатуры (опционально)
+ багфикс (обновление иконок состояния после перемотки)
+ умный парсинг имени файла при отсутствии тегов

~ 11.06.2008 ~ Празднику России посвещается

[Tunes 2.6]
-/+ убрал прозрачность полей времени
+ на рабочем столе в строке оператора выводится "Автор - Название композиции"
+ джой вцентр - Инфо о файле
+ поддержка L7e и подобных при передаче файла по Bluetooth

~3.06.2008 ~

[Tunes 2.5]
+ поддержка прозрачности в картинках
+ если нет тегов, разбивает имя файла на исполнителя и имя песни ('-' разделитель)
+ прозрачность полей времени (не работает при перемотке)
+ исправил наложение в номере трека для L7e и подобных
+ прорисовка VolumeBar, если не совпадает с ProgressBar
+ багфиксы

~ 13.05.2008 ~

[Tunes 2.4.1]
+ языковой ресурс Tunes.lng обязателен всем!

~ 12.05.2008 ~

[Tunes 2.4]
+ багфикс (Воспр. на правой софт клавише в Плейлисты)
+ багфикс (Циклическое воспроизведение)
+ багфикс (теперь сам по себе невыходит)
+ багфикс (Создать работает в файлбраузере)
+ багфикс (Если в папке нет файлов, плейлист не создаётся)
+ багфикс (Утечки памяти. Ну вроде поборол ребуты)
+ переписал воспроизведение файла
+ новая опция - Автопереключение треков


~ 7.05.2008 ~ Дню Радио посвещается :)

[Tunes 2.3]
+ выбор дисков в файлбраузере
+ багфикс (утечка памяти)
+ Автосоздание плейлистов
+ Смена скинов из меню
+ Файлбраузер вынесен в главное меню
+ Воспроизведение папок и файлов через файлбраузер
+ Иконка iTunes в статус-строке (воспроизведение/пауза)
+ "Выход" на левой софт-клавише в главном меню
+ изменил имена (Skins - папка скинов, Playlists - папка плейлистов)
+ "Воспроизвести всё" убран из меню. Вместо него плейлист All.tpl
+ минимальный, максимальный и текущий уровни громкости при изменении громкости (вместо времени)
+ версия заменяющая корелет. запуск Tunes через пунк iTunes

~ 28.04.2008 ~ Моему Дню Рожденья посвещается :D

[Tunes 2.2]
+ передача файла по Bluetooth (зелёная кнопка в плеере)
+ переписал структуру приложения
+ багфиксы

~ 13.04.2008 ~

[Tunes 2.1]
+ опять багфикс (при входящем звонке нельзя было ответить кнопкой гарнитуры)
+ багфикс (рандомизация работала криво)
+ багфикс (при потере фокуса Shell закрывается)
+ багфикс (чёрный прямоугольник на антене)
+ багфикс (возможность не включать в скин картинки)
+ настройка: воспроизведение после звонков
+ настройка: повтор
+ тип изменяемой громкости определяется автоматически
+ просмотр содержимого плейлиста
+ дополнен скин
+ воспроизведение отдельных песен в файлбраузере (джой в центр)

~ 6.04.2008 ~

[Tunes 2.0]
+ багфикс (при перемотке прогресбар вылезал за границы)
+ багфикс (при входящем звонке нельзя было ответить кнопкой гарнитуры)
+ при обновлении листа теперь диалог не пересоздаётся
+ чтение тегов
+ добавление папки при создании плейлиста
+ конфиг для скина
+ поддержка неполноэкранных скинов
+ формат времени в минуты:секунды
+ volumebar

~ 1.04.2008 ~

[Tunes 1.9]
+ багфиксы
+ при запуске эльфа в параметрах можно указывать открываемый плейлист
+ графический интерфейс плеера
+ переписал перемотку

~ 29.03.2008 ~

[Tunes 1.8]
+ объединил два эльфа Tunes и Shell
+ плейлисты могут содержать кирилицу в имени
+ багфикс (ничто не сможет запустить воспроизведение, а так же выйти из эльфа, кроме самого эльфа)
+ багфикс (пропадание пунктов при выделении)
+ багфикс (ребут при длине имени больше 64 символов)
+ переписал код рандомизации
+ ограничение на длину полного имени песен увеличил до 256 символов.
+ Внимание! старые плейлисты будут проигрываться некорректно
+ рускоязыные пользователи могут удалить файл Tunes.lng


~ 13.03.2008 ~

[Tunes 1.7]
+ багфикс с перемоткой
+ проверка существования файла при проигровании
+ ускорение при перемотке

[Shell]
+ багфиксы
+ автопереход на следующий пункт при добавлении треков в плейлист

[CreatorDb]
+ создает папку PlayList при её отсутствии

~ 8.03.2008 ~

[Tunes 1.6]
+ багфиксы
+ убрал ограничение на 500 треков
+ меньше расходует памяти

[Shell]
+ багфиксы
+ пополнение в настройках

~ 26.02.2008 ~ 

[Tunes 1.5]
+ багфиксы

[Shell]
+ Настройки
+ удаление плейлистов

~ 23.02.2008 ~

[Tunes 1.4]
+ мелкие багфиксы
+ режим воспроизведения в конфиге
+ плейлисты
+ не зависит от phone.db
+ языковой ресурс
+ кнопка гарнитуры обрабатывается везде

[CreatorDB]
+ оптимизировал код
+ создает базу сразу при запуске (ноль жать не надо)

[Shell]
+ графическая оболочка (воспроизведение и создание плейлистов)

~ 03.02.2008 ~ 

[Tunes 1.3]
+ используются 2 строки (оператор и дата) для вывода информации
+ возобновление воспроизведения после "перебивки"
+ перемотка
+ переделал управление не на рабочем столе
+ конфиг
  
[CreatorDB]
+ багфиксы
+ выход после создания базы
+ поиск *.m4a

~ 24.01.2008 ~ 

[Tunes 1.2]
+ следующий трек по смарт клавише не на рабочем столе 
+ Возможность входить в яву, смотреть картинки, фотографировать
- могут быть проблемы с песнями,время которых определяется не правильно (VBR)

~ 21.01.2008 ~ 

[Tunes 1.1 alpha]
+ случайное воспроизведение
+ джой вниз - стоп
+ обработка кнопки гарнитуры

~ 21.01.2008 ~ 

[Tunes 1.0 alpha]
+ Первый плеер на эльфе
